package com.telpo.dipperposition.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;

/**
 * @program: IDipperDataAsyncTaskService
 * @description: 发送bds获取星历数据。
 *  *            每30分钟获取1次，30秒超时，
 *  *             如果失败，则可以等待10秒再获取1次
 * @author: king
 * @create: 2021-01-17 16:24
 */
public interface IDipperDataAsyncTaskService {

  @Autowired
  void setDipperDataAsyncTaskService(IDipperDataAsyncTaskService IDipperDataAsyncTaskService);
  /**
   * 同步任务
   *
   */
  void pullAstEPH();


  /**
   * 根据IP获取EPH
   *
   */
  String getAstEPH();

}
